Subject: european buckthorn

From: [email-masked]
Date: Mon, 20 Feb 1995 16:06

I DESPISE EUROPEAN BUCKTHORN, AN INVADER THAT IS FRIGHTENINGLY
SUCCESSFUL.  I LIVE ON A FOREST PRESERVE AND IT IS ENCROACHING ON ALL
THE FOREST EDGES AROUND.  THERE IS NOW A PERIMETER OF IT AROUND MY YARD
IT HAS TENACIOUS ROOTS SO THAT EVEN A SEEDLING IS IMPOSSIBLE TO GET OUT.
IT DOES PROVIDE A FOOD SOURCE FOR BIRDS AND DEER BUT THAT JUST
CONTRIBUTES TO ITS SPREAD.  I GET WHAT I CAN, BUT IT AIN'T EASY. ITS
A PROLIFIC SO AND SO.  HAS ANYONE HAD SUCCESS WITH THIS INVADER?